#include "RenewalTab.h"
#include "ui_RenewalTab.h"

RenewalTab::RenewalTab(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::RenewalTab)
{
    ui->setupUi(this);

    ui->table->setModel(&model);

    refresh();

}

void RenewalTab::refresh() {
    query.prepare("SELECT YEAR(i.anno) AS anno, s.cognome, s.nome FROM iscrizione AS i INNER JOIN socio AS s ON s.id = i.socio ORDER BY s.cognome;");

    if (! query.exec()) {
        status(Ui::ERROR, model.lastError().text());
    }

    model.setQuery(query);

}

void RenewalTab::on_buttonRefresh_clicked() {
    refresh();
}